//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCbaseDialog.h>
#include <WSCform.h>
#include <WSCtextField.h>
#include <WSCvlabel.h>
#include <WSCvfbtn.h>
#include <WSCpulldownMenu.h>
#include <WSCvifield.h>

//--- OBJECT instance variable ---//
WSCbaseDialog* newwin000;
WSCform* newform_000;
WSCtextField* newtext_001;
WSCform* newform_002;
WSCbaseDialog* newbase_001;
WSCform* newform_003;
WSCvifield* newvifi_005;

//--- OBJECT src ---//

WSCbase* _create_win_newwin000(){


  newwin000 = new  WSCbaseDialog(NULL,"newwin000");
      newwin000->initialize();
  newwin000->setPropertyV(WSNok,(WSCbool)0);
  newwin000->setPropertyV(WSNno,(WSCbool)0);
  newwin000->setPropertyV(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/bi4.xpm");
  newwin000->setPropertyV(WSNname,"newwin000");
  newwin000->setPropertyV(WSNtitleString,"NotePad");
  newwin000->setPropertyV(WSNx,(short)23);
  newwin000->setPropertyV(WSNy,(short)151);
  newwin000->setPropertyV(WSNwidth,(unsigned short)400);
  newwin000->setPropertyV(WSNheight,(unsigned short)400);
  newwin000->setPropertyV(WSNvis,(WSCbool)1);
    WSCprocedure* op_newwin000_5 = new WSCprocedure("resize",10);
    extern void resizeep(WSCbase*);
    op_newwin000_5->setFunction(resizeep,"resizeep");
    newwin000->addProcedure(op_newwin000_5);
    WSCprocedure* op_newwin000_6 = new WSCprocedure("exitep",5);
    extern void exitep(WSCbase*);
    op_newwin000_6->setFunction(exitep,"exitep");
    newwin000->addProcedure(op_newwin000_6);

  newform_000 = new  WSCform(newwin000,"newform_000");
      newform_000->initialize();
  newform_000->setPropertyV(WSNname,"newform_000");
  newform_000->setPropertyV(WSNx,(short)1);
  newform_000->setPropertyV(WSNy,(short)26);
  newform_000->setPropertyV(WSNwidth,(unsigned short)398);
  newform_000->setPropertyV(WSNheight,(unsigned short)335);
  newform_000->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newform_000->setPropertyV(WSNbackColor,"DEF10");
  newform_000->setPropertyV(WSNvis,(WSCbool)1);

  newtext_001 = new  WSCtextField(newform_000,"newtext_001");
      newtext_001->initialize();
  newtext_001->setPropertyV(WSNname,"newtext_001");
  newtext_001->setPropertyV(WSNx,(short)5);
  newtext_001->setPropertyV(WSNy,(short)35);
  newtext_001->setPropertyV(WSNwidth,(unsigned short)388);
  newtext_001->setPropertyV(WSNheight,(unsigned short)295);
  newtext_001->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newtext_001->setPropertyV(WSNvis,(WSCbool)1);

  WSCvlabel* newvlab_003 = new  WSCvlabel(newform_000,"newvlab_003");
      newvlab_003->initialize();
  newvlab_003->setPropertyV(WSNshadowType,(char)1);
  newvlab_003->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newvlab_003->setPropertyV(WSNname,"newvlab_003");
  newvlab_003->setPropertyV(WSNvis,(WSCbool)1);
  newvlab_003->setPropertyV(WSNy,(short)29);
  newvlab_003->setPropertyV(WSNwidth,(unsigned short)1280);
  newvlab_003->setPropertyV(WSNheight,(unsigned short)2);

  WSCvfbtn* newvfbt_000 = new  WSCvfbtn(newform_000,"newvfbt_000");
      newvfbt_000->initialize();
  newvfbt_000->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newvfbt_000->setPropertyV(WSNbackColor,"DEF10");
  newvfbt_000->setPropertyV(WSNtopShadowColor,"DEF3");
  newvfbt_000->setPropertyV(WSNbottomShadowColor,"DEF4");
  newvfbt_000->setPropertyV(WSNmarginTop,(unsigned char)0);
  newvfbt_000->setPropertyV(WSNmarginBottom,(unsigned char)0);
  newvfbt_000->setPropertyV(WSNmarginLeft,(unsigned char)0);
  newvfbt_000->setPropertyV(WSNmarginRight,(unsigned char)0);
  newvfbt_000->setPropertyV(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/wcreate.xpm");
  newvfbt_000->setPropertyV(WSNname,"newvfbt_000");
  newvfbt_000->setPropertyV(WSNvis,(WSCbool)1);
  newvfbt_000->setPropertyV(WSNx,(short)1);
  newvfbt_000->setPropertyV(WSNy,(short)1);
  newvfbt_000->setPropertyV(WSNwidth,(unsigned short)30);
  newvfbt_000->setPropertyV(WSNheight,(unsigned short)28);
    WSCprocedure* op_newvfbt_000_5 = new WSCprocedure("m11",-1);
    extern void m11ep(WSCbase*);
    op_newvfbt_000_5->setFunction(m11ep,"m11ep");
    newvfbt_000->addProcedure(op_newvfbt_000_5);

  WSCvfbtn* newvfbt_001 = new  WSCvfbtn(newform_000,"newvfbt_001");
      newvfbt_001->initialize();
  newvfbt_001->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newvfbt_001->setPropertyV(WSNbackColor,"DEF10");
  newvfbt_001->setPropertyV(WSNtopShadowColor,"DEF3");
  newvfbt_001->setPropertyV(WSNbottomShadowColor,"DEF4");
  newvfbt_001->setPropertyV(WSNmarginTop,(unsigned char)0);
  newvfbt_001->setPropertyV(WSNmarginBottom,(unsigned char)0);
  newvfbt_001->setPropertyV(WSNmarginLeft,(unsigned char)0);
  newvfbt_001->setPropertyV(WSNmarginRight,(unsigned char)0);
  newvfbt_001->setPropertyV(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/wload.xpm");
  newvfbt_001->setPropertyV(WSNname,"newvfbt_001");
  newvfbt_001->setPropertyV(WSNvis,(WSCbool)1);
  newvfbt_001->setPropertyV(WSNx,(short)31);
  newvfbt_001->setPropertyV(WSNy,(short)1);
  newvfbt_001->setPropertyV(WSNwidth,(unsigned short)30);
  newvfbt_001->setPropertyV(WSNheight,(unsigned short)28);
    WSCprocedure* op_newvfbt_001_5 = new WSCprocedure("m12",2);
    extern void m12ep(WSCbase*);
    op_newvfbt_001_5->setFunction(m12ep,"m12ep");
    newvfbt_001->addProcedure(op_newvfbt_001_5);

  WSCvfbtn* newvfbt_002 = new  WSCvfbtn(newform_000,"newvfbt_002");
      newvfbt_002->initialize();
  newvfbt_002->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newvfbt_002->setPropertyV(WSNbackColor,"DEF10");
  newvfbt_002->setPropertyV(WSNtopShadowColor,"DEF3");
  newvfbt_002->setPropertyV(WSNbottomShadowColor,"DEF4");
  newvfbt_002->setPropertyV(WSNmarginTop,(unsigned char)0);
  newvfbt_002->setPropertyV(WSNmarginBottom,(unsigned char)0);
  newvfbt_002->setPropertyV(WSNmarginLeft,(unsigned char)0);
  newvfbt_002->setPropertyV(WSNmarginRight,(unsigned char)0);
  newvfbt_002->setPropertyV(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/wsave.xpm");
  newvfbt_002->setPropertyV(WSNname,"newvfbt_002");
  newvfbt_002->setPropertyV(WSNvis,(WSCbool)1);
  newvfbt_002->setPropertyV(WSNx,(short)61);
  newvfbt_002->setPropertyV(WSNy,(short)1);
  newvfbt_002->setPropertyV(WSNwidth,(unsigned short)30);
  newvfbt_002->setPropertyV(WSNheight,(unsigned short)28);
    WSCprocedure* op_newvfbt_002_5 = new WSCprocedure("m13",-1);
    extern void m13ep(WSCbase*);
    op_newvfbt_002_5->setFunction(m13ep,"m13ep");
    newvfbt_002->addProcedure(op_newvfbt_002_5);

  newform_002 = new  WSCform(newwin000,"newform_002");
      newform_002->initialize();
  newform_002->setPropertyV(WSNname,"newform_002");
  newform_002->setPropertyV(WSNx,(short)1);
  newform_002->setPropertyV(WSNy,(short)1);
  newform_002->setPropertyV(WSNwidth,(unsigned short)398);
  newform_002->setPropertyV(WSNheight,(unsigned short)25);
  newform_002->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newform_002->setPropertyV(WSNbackColor,"DEF5");
  newform_002->setPropertyV(WSNtopShadowColor,"DEF8");
  newform_002->setPropertyV(WSNbottomShadowColor,"DEF9");
  newform_002->setPropertyV(WSNvis,(WSCbool)1);

  WSCpulldownMenu* newpull_004 = new  WSCpulldownMenu(newform_002,"newpull_004");
      newpull_004->initialize();
  newpull_004->setPropertyV(WSNmenuItems,"새 파일:m11:,SP,파일 열기:m12:,파일 저장:m13:,파일 다른  이름으로 자장:m14,SP,끝:m15:");
  newpull_004->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newpull_004->setPropertyV(WSNlabelString,"파일");
  newpull_004->setPropertyV(WSNname,"newpull_004");
  newpull_004->setPropertyV(WSNvis,(WSCbool)1);
  newpull_004->setPropertyV(WSNx,(short)5);
  newpull_004->setPropertyV(WSNy,(short)2);
  newpull_004->setPropertyV(WSNwidth,(unsigned short)70);
  newpull_004->setPropertyV(WSNheight,(unsigned short)20);
    WSCprocedure* op_newpull_004_5 = new WSCprocedure("m11",-1);
    extern void m11ep(WSCbase*);
    op_newpull_004_5->setFunction(m11ep,"m11ep");
    newpull_004->addProcedure(op_newpull_004_5);
    WSCprocedure* op_newpull_004_6 = new WSCprocedure("m12",-1);
    extern void m12ep(WSCbase*);
    op_newpull_004_6->setFunction(m12ep,"m12ep");
    newpull_004->addProcedure(op_newpull_004_6);
    WSCprocedure* op_newpull_004_7 = new WSCprocedure("m13",-1);
    extern void m13ep(WSCbase*);
    op_newpull_004_7->setFunction(m13ep,"m13ep");
    newpull_004->addProcedure(op_newpull_004_7);
    WSCprocedure* op_newpull_004_8 = new WSCprocedure("m14",-1);
    extern void m14ep(WSCbase*);
    op_newpull_004_8->setFunction(m14ep,"m14ep");
    newpull_004->addProcedure(op_newpull_004_8);
    WSCprocedure* op_newpull_004_9 = new WSCprocedure("m15",-1);
    extern void m15ep(WSCbase*);
    op_newpull_004_9->setFunction(m15ep,"m15ep");
    newpull_004->addProcedure(op_newpull_004_9);

  WSCpulldownMenu* newpull_000 = new  WSCpulldownMenu(newform_002,"newpull_000");
      newpull_000->initialize();
  newpull_000->setPropertyV(WSNmenuItems,"복사:m21:,붙여넣기:m22:,SP,검색:m23:");
  newpull_000->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newpull_000->setPropertyV(WSNlabelString,"편집");
  newpull_000->setPropertyV(WSNname,"newpull_000");
  newpull_000->setPropertyV(WSNvis,(WSCbool)1);
  newpull_000->setPropertyV(WSNx,(short)80);
  newpull_000->setPropertyV(WSNy,(short)2);
  newpull_000->setPropertyV(WSNwidth,(unsigned short)70);
  newpull_000->setPropertyV(WSNheight,(unsigned short)20);
    WSCprocedure* op_newpull_000_5 = new WSCprocedure("m21",-1);
    extern void m21ep(WSCbase*);
    op_newpull_000_5->setFunction(m21ep,"m21ep");
    newpull_000->addProcedure(op_newpull_000_5);
    WSCprocedure* op_newpull_000_6 = new WSCprocedure("m22",-1);
    extern void m22ep(WSCbase*);
    op_newpull_000_6->setFunction(m22ep,"m22ep");
    newpull_000->addProcedure(op_newpull_000_6);
    WSCprocedure* op_newpull_000_7 = new WSCprocedure("m23",-1);
    extern void m23ep(WSCbase*);
    op_newpull_000_7->setFunction(m23ep,"m23ep");
    newpull_000->addProcedure(op_newpull_000_7);

  newbase_001 = new  WSCbaseDialog(newform_002,"newbase_001");
      newbase_001->initialize();
  newbase_001->setPropertyV(WSNokString,"상방향");
  newbase_001->setPropertyV(WSNnoString,"하방향");
  newbase_001->setPropertyV(WSNname,"newbase_001");
  newbase_001->setPropertyV(WSNx,(short)627);
  newbase_001->setPropertyV(WSNy,(short)483);
  newbase_001->setPropertyV(WSNwidth,(unsigned short)400);
  newbase_001->setPropertyV(WSNheight,(unsigned short)120);
  newbase_001->setPropertyV(WSNshadowThickness,(unsigned char)2);
    WSCprocedure* op_newbase_001_5 = new WSCprocedure("new_ep",10);
    extern void resize1(WSCbase*);
    op_newbase_001_5->setFunction(resize1,"resize1");
    newbase_001->addProcedure(op_newbase_001_5);
    WSCprocedure* op_newbase_001_6 = new WSCprocedure("new_ep",2);
    extern void activate1(WSCbase*);
    op_newbase_001_6->setFunction(activate1,"activate1");
    newbase_001->addProcedure(op_newbase_001_6);

  newform_003 = new  WSCform(newbase_001,"newform_003");
      newform_003->initialize();
  newform_003->setPropertyV(WSNname,"newform_003");
  newform_003->setPropertyV(WSNx,(short)0);
  newform_003->setPropertyV(WSNy,(short)5);
  newform_003->setPropertyV(WSNwidth,(unsigned short)398);
  newform_003->setPropertyV(WSNheight,(unsigned short)75);
  newform_003->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newform_003->setPropertyV(WSNvis,(WSCbool)1);

  WSCvlabel* newvlab_004 = new  WSCvlabel(newform_003,"newvlab_004");
      newvlab_004->initialize();
  newvlab_004->setPropertyV(WSNlabelString,"검색 문자열");
  newvlab_004->setPropertyV(WSNname,"newvlab_004");
  newvlab_004->setPropertyV(WSNvis,(WSCbool)1);
  newvlab_004->setPropertyV(WSNx,(short)5);
  newvlab_004->setPropertyV(WSNy,(short)5);

  newvifi_005 = new  WSCvifield(newform_003,"newvifi_005");
      newvifi_005->initialize();
  newvifi_005->setPropertyV(WSNshadowType,(char)1);
  newvifi_005->setPropertyV(WSNshadowThickness,(unsigned char)1);
  newvifi_005->setPropertyV(WSNname,"newvifi_005");
  newvifi_005->setPropertyV(WSNvis,(WSCbool)1);
  newvifi_005->setPropertyV(WSNx,(short)110);
  newvifi_005->setPropertyV(WSNy,(short)5);
  newvifi_005->setPropertyV(WSNwidth,(unsigned short)280);

   newwin000->setVisible(True);
   return newwin000;
}

//--- end of src ---//
